## InternetAddressMailbox InternetAddressMailbox — rfc822 'mailbox' address |

## Functions

InternetAddress * | internet_address_mailbox_new ()
const char * | internet_address_mailbox_get_addr ()
void | internet_address_mailbox_set_addr ()

## Types and Values

struct | InternetAddressMailbox

## Object Hierarchy

        GObject
        ╰── InternetAddress
            ╰── InternetAddressMailbox

## Description

An InternetAddressMailbox represents what is a typical "email address".

## Functions

### internet_address_mailbox_new ()

    InternetAddress *
    internet_address_mailbox_new (const char *name,
                                  const char *addr);

Creates a new InternetAddress object with the specified `name` and `addr` .

#### Parameters

name | person's name |
addr | person's address |

#### Returns

a new InternetAddressMailbox object.

Note: The `name` string should be in UTF-8.

### internet_address_mailbox_get_addr ()

    const char *
    internet_address_mailbox_get_addr (InternetAddressMailbox *mailbox);

Gets the addr-spec of the internet address mailbox.

#### Parameters

mailbox | a InternetAddressMailbox |

#### Returns

the address of the mailbox.

### internet_address_mailbox_set_addr ()

    void
    internet_address_mailbox_set_addr (InternetAddressMailbox *mailbox,
                                       const char *addr);

Set the mailbox address.

#### Parameters

mailbox | a InternetAddressMailbox |
addr | contact's email address |

## Types and Values

### struct InternetAddressMailbox

    struct InternetAddressMailbox;

An RFC 2822 Mailbox address.

#### Members

## See Also

InternetAddress